Package org.eclipse.ecf.osgi.services.remoteserviceadmin

# Class TopologyManager

java.lang.Object
org.eclipse.ecf.osgi.services.remoteserviceadmin.TopologyManager

All Implemented Interfaces:
  `ITopologyManager`, `EventListenerHook`, `RemoteServiceAdminListener`

public class TopologyManager extends Object implements EventListenerHook, RemoteServiceAdminListener, ITopologyManager

Since:
  4.6

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ServiceRegistration<?>`
`endpointListenerRegistration`
`protected TopologyManagerImpl`
`topologyManagerImpl`

### Fields inherited from interface org.eclipse.ecf.osgi.services.remoteserviceadmin.ITopologyManager

`ENDPOINT_ALLOWLOCALHOST, ENDPOINT_ALLOWLOCALHOST_PROP, ENDPOINT_EXTRA_FILTERS, ENDPOINT_EXTRA_FILTERS_PROP, EXPORT_REGISTERED_SERVICES_FILTER, EXPORT_REGISTERED_SERVICES_FILTER_PROP, ONLY_ECF_SCOPE`

## Constructor Summary

Constructors
Constructor
Description
`TopologyManager()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`activate(BundleContext context, Map<String,?> properties)`
`protected Dictionary<String,Object>`
`createEndpointListenerProps(List<String> filters)`
`protected TopologyManagerImpl`
`createTopologyManagerImpl(BundleContext context, boolean allowLocalhost, String[] extraFilters)`
`protected void`
`deactivate()`
`void`
`event(ServiceEvent event, Map listeners)`
`String[]`
`getEndpointFilters()`
`void`
`remoteAdminEvent(RemoteServiceAdminEvent event)`
Receive notification of any export or import registrations and unregistrations as well as errors and warnings.
`String[]`
`setEndpointFilters(String[] newFilters)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### topologyManagerImpl

protected TopologyManagerImpl topologyManagerImpl

### endpointListenerRegistration

protected ServiceRegistration<?> endpointListenerRegistration

## Constructor Details

### TopologyManager

public TopologyManager()

## Method Details

### createTopologyManagerImpl

protected TopologyManagerImpl createTopologyManagerImpl(BundleContext context, boolean allowLocalhost, String[] extraFilters)

Since:
  4.9

### activate

protected void activate(BundleContext context, Map<String,?> properties) throws Exception

Throws:
  `Exception`

### createEndpointListenerProps

protected Dictionary<String,Object> createEndpointListenerProps(List<String> filters)

### deactivate

protected void deactivate()

### remoteAdminEvent

public void remoteAdminEvent(RemoteServiceAdminEvent event)
Description copied from interface: `RemoteServiceAdminListener`
Receive notification of any export or import registrations and unregistrations as well as errors and warnings.

Specified by:
  `remoteAdminEvent` in interface `RemoteServiceAdminListener`
Parameters:
  `event` - The `RemoteServiceAdminEvent` object.

### event

public void event(ServiceEvent event, Map listeners)

Specified by:
  `event` in interface `EventListenerHook`

### getEndpointFilters

public String[] getEndpointFilters()

Specified by:
  `getEndpointFilters` in interface `ITopologyManager`

### setEndpointFilters

public String[] setEndpointFilters(String[] newFilters)

Specified by:
  `setEndpointFilters` in interface `ITopologyManager`